Viterbi.Position (Lucene 10.5.0 common API)
Description: declaration: package: org.apache.lucene.analysis.morph, class: Viterbi, class: Position

Package org.apache.lucene.analysis.morph

# Class Viterbi.Position

java.lang.Object
org.apache.lucene.analysis.morph.Viterbi.Position

Direct Known Subclasses:
  `ViterbiNBest.PositionNBest`

Enclosing class:
  `Viterbi<T extends Token,U extends Viterbi.Position>`

public static class Viterbi.Position extends Object
Holds all back pointers arriving to this position.

NOTE: This and subclasses must have no-arg constructor. See `Viterbi.WrappedPositionArray`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Position()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int cost, int lastRightID, int backPos, int backRPos, int backIndex, int backID, TokenType backType)`
  `int`
  `getBackID(int index)`
  `int`
  `getBackIndex(int index)`
  `int`
  `getBackPos(int index)`
  `TokenType`
  `getBackType(int index)`
  `int`
  `getBackWordPos(int index)`
  `int`
  `getCost(int index)`
  `int`
  `getCount()`
  `int`
  `getLastRightID(int index)`
  `int`
  `getPos()`
  `void`
  `reset()`
  `void`
  `setCount(int count)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Position

    public Position()

- ## Method Details

  - ### add

    public void add(int cost, int lastRightID, int backPos, int backRPos, int backIndex, int backID, TokenType backType)

  - ### reset

    public void reset()

  - ### getPos

    public int getPos()

  - ### getCount

    public int getCount()

  - ### setCount

    public void setCount(int count)

  - ### getCost

    public int getCost(int index)

  - ### getBackPos

    public int getBackPos(int index)

  - ### getBackWordPos

    public int getBackWordPos(int index)

  - ### getBackID

    public int getBackID(int index)

  - ### getBackIndex

    public int getBackIndex(int index)

  - ### getBackType

    public TokenType getBackType(int index)

  - ### getLastRightID

    public int getLastRightID(int index)